Draft Scale/fr: Difference between revisions

From FreeCAD Documentation
m (minor)
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand|Name=Draft_Scale|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Scale|Shortcut=S C|SeeAlso=[[Draft Clone]]}}
=Draft_Scale/fr=
{{GuiCommand/fr|Name=Draft_Scale|Name/fr=Draft_Scale Echelle|Workbenches=[[Draft Module/fr|Draft]]|MenuLocation=Draft -> Scale|Shortcut=S C}}
====Description====


==Description==
Cet outil met à l'échelle des objets sélectionnés autour d'un point de base. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.


This tool scales selected object(s) around a base point. If no object is selected, you will be invited to select one.
[[Image:Draft_Scale_example.jpg|480px]]


[[Image:Draft_Scale_example.jpg|400px]]
====Utilisation====


==How to use==
* Sélectionner un point sur une zone vide de la vue 3D, ou sur un objet existant comme point de base, puis un autre point pour le facteur d'échelle.
* Les composants '''x, y '''et''' z''' du deuxième point définissent le facteur d'échelle. Par exemple, ('''1,1,1''') ne ferait rien, ('''2,2,2''') serait l'échelle 2x dans toutes les directions, ('''-1,1,1''') sera le reflet dans la direction x.
* Presser {{KEY|CTRL}} et votre point d'emplacement se fera sur un point d'[[Draft_Snap/fr|ancrage]] (snap) disponible.
* Presser {{KEY|SHIFT}} verrouillera les valeurs x et y ensemble, afin que la forme ne soit pas déformée.
* Presser {{KEY|ESC}} pour quitter la fonction.
* Entrer un nombre pour insérer une [[Draft_Coordinates/fr|coordonnée]] manuellement.
* {{KEY|C}} interrupteur marche/arrêt, pour le mode copie. Les objets seront copiés au lieu de s'installer.
* Presser {{KEY|ALT}} fera une copie, même si le bouton de contrôle de copie est désactivé.
* Si {{KEY|ALT}} est pressé, vous serez capable de faire des copies multiples jusqu'à ce que {{KEY|ALT}} soit relaché.


# Select objects you wish to scale
{{clear}}
# Press the {{KEY|[[Image:Draft Scale.png|16px]] [[Draft Scale]]}} button, or press {{KEY|S}} then {{KEY|C}} keys
{{LesOutilsDeTransformationsDraft}}
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
<br>
# Click another point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
{{languages/fr | {{en|Draft Scale}} {{es|Draft Scale/es}} {{it|Draft Scale/it}} {{se|Draft Scale/se}} }}

==Options==

* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* The x, y and z components of the second point define the scale factor. For example, (1,1,1) would do nothing, (2,2,2) would scale 2x in all directions, (-1,1,1) would mirror in x direction.
* Pressing {{KEY|ALT}} or {{KEY|C}} or clicking the {{KEY|'''Copy'''}} button will make a copy of the objects, instead of scaling the original. If you keep {{KEY|ALT}} pressed after clicking the second point, you will be able to place more copies, until you release the {{KEY|ALT}} key.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Pressing {{KEY|SHIFT}} will lock x and y values together, so the shape is not deformed.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current command.
* The resulting object is a [[Draft Clone]], which allows you to change the scale values after it has been created.

==Scripting==

The Scale tool can by used in [[macros]] and from the python console by using the following function:

<syntaxhighlight>
scale (objects,vector,[center,copy,legacy])
</syntaxhighlight>

* Scales the objects contained in objects (that can be a list of objects or an object) of the given scale factors defined by the given vector (in X, Y and Z directions) around the given center.
* If legacy is True, direct (old) mode is used, otherwise a parametric copy is made.
* If copy is True, the actual objects are not moved, but copies are created instead.
* The objects (or their copies) are returned.

Example:

<syntaxhighlight>
import FreeCAD,Draft
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))
</syntaxhighlight>

<languages/>

Revision as of 18:10, 13 February 2014

Draft_Scale

Menu location
Draft -> Scale
Workbenches
Draft, Arch
Default shortcut
S C
Introduced in version
-
See also
Draft Clone

Description

This tool scales selected object(s) around a base point. If no object is selected, you will be invited to select one.

File:Draft Scale example.jpg

How to use

  1. Select objects you wish to scale
  2. Press the Draft Scale button, or press S then C keys
  3. Click a first point on the 3D view, or type a coordinate
  4. Click another point on the 3D view, or type a coordinate

Options

  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • The x, y and z components of the second point define the scale factor. For example, (1,1,1) would do nothing, (2,2,2) would scale 2x in all directions, (-1,1,1) would mirror in x direction.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of scaling the original. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will lock x and y values together, so the shape is not deformed.
  • Press ESC or the Cancel button to abort the current command.
  • The resulting object is a Draft Clone, which allows you to change the scale values after it has been created.

Scripting

The Scale tool can by used in macros and from the python console by using the following function:

 scale (objects,vector,[center,copy,legacy])
  • Scales the objects contained in objects (that can be a list of objects or an object) of the given scale factors defined by the given vector (in X, Y and Z directions) around the given center.
  • If legacy is True, direct (old) mode is used, otherwise a parametric copy is made.
  • If copy is True, the actual objects are not moved, but copies are created instead.
  • The objects (or their copies) are returned.

Example:

 import FreeCAD,Draft
 Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))